Download it now!
Bug 137429 - Logic for showing the UI Picker dialog via Tip-of-the-Day mechanism seem off
Summary: Logic for showing the UI Picker dialog via Tip-of-the-Day mechanism seem off
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Tip-Of-The-Day 117463
  Show dependency treegraph
 
Reported: 2020-10-12 14:02 UTC by V Stuart Foote
Modified: 2020-10-14 08:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2020-10-12 14:02:20 UTC
Logic for showing the UI Picker dialog via Tip-of-the-Day mechanism seem off.

The UI Picker dialog has a Tip-of-the-Day slot, 1 of 233.  It is not showing on initial launch before Start Center fully loads. Nor when launching a module for first instance (bug 137427).

Have to either cycle through all 232 tips to return, or reset the "LastTipOfTheDayID" stanza in the user profile .xcu
Comment 1 Heiko Tietze 2020-10-13 10:48:25 UTC
Patch at https://gerrit.libreoffice.org/c/core/+/104230
Comment 2 Commit Notification 2020-10-14 08:49:40 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2b7ccc1ee083abee812a4e9917c1324179ec97cb

Resolves tdf#137429 - Ensure first tip is shown first

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.